VERSION 2.00
Begin Form frmRecSetup 
   BackColor       =   &H8000000F&
   BorderStyle     =   3  'Fixed Double
   Caption         =   "Recipient Setup"
   ClientHeight    =   1485
   ClientLeft      =   2115
   ClientTop       =   2520
   ClientWidth     =   4815
   ControlBox      =   0   'False
   Height          =   1920
   Left            =   2040
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1485
   ScaleWidth      =   4815
   Top             =   2160
   Width           =   4965
   Begin CommandButton btnDone 
      Cancel          =   -1  'True
      Caption         =   "D&one"
      Height          =   375
      Left            =   3720
      TabIndex        =   4
      Top             =   720
      Width           =   975
   End
   Begin CommandButton btnCopy 
      Caption         =   "&Copy"
      Height          =   375
      Left            =   2520
      TabIndex        =   3
      Top             =   720
      Width           =   975
   End
   Begin CommandButton btnDelete 
      Caption         =   "&Delete"
      Height          =   375
      Left            =   1320
      TabIndex        =   2
      Top             =   720
      Width           =   975
   End
   Begin CommandButton btnAdd 
      Caption         =   "&Add"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   720
      Width           =   975
   End
   Begin SSPanel pnlInfo 
      Align           =   2  'Align Bottom
      BackColor       =   &H00C0C0C0&
      BevelInner      =   1  'Inset
      BevelOuter      =   0  'None
      Caption         =   "Privacy is essential to a free society"
      Font3D          =   3  'Inset w/light shading
      Height          =   345
      Left            =   0
      TabIndex        =   5
      Top             =   1140
      Width           =   4815
   End
   Begin ComboBox cboRecName 
      Height          =   300
      Left            =   120
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   360
      Width           =   4575
   End
   Begin SSPanel lblRecName 
      Alignment       =   1  'Left Justify - MIDDLE
      BackColor       =   &H00C0C0C0&
      BevelOuter      =   0  'None
      Caption         =   "Recipient &Name:"
      Font3D          =   3  'Inset w/light shading
      Height          =   375
      Left            =   120
      TabIndex        =   6
      Top             =   0
      Width           =   1575
   End
End
Sub btnAdd_Click ()
frmRecSetup.Hide
AddKey
If AddFail = True Then GoTo SkipAdd
frmWait.Show
SetUpUsers
SetUpRecs
FreshenLists
Unload frmWait
SkipAdd:
frmRecSetup.Show
End Sub

Sub btnAdd_GotFocus ()
frmRecSetup.pnlInfo.Caption = "Add a key file to your public key ring"
End Sub

Sub btnCopy_Click ()
frmRecSetup.Hide
ExtractKey (cboRecName.Text)
frmWait.Show
FreshenLists
Unload frmWait
frmRecSetup.Show
End Sub

Sub btnCopy_GotFocus ()
frmRecSetup.pnlInfo.Caption = "Copy this person's public key to a separate *.asc file"
End Sub

Sub btnDelete_Click ()
frmRecSetup.Hide
DeleteKey (cboRecName.Text)
frmWait.Show
SetUpUsers
SetUpRecs
FreshenLists
Unload frmWait
frmRecSetup.Show
End Sub

Sub btnDelete_GotFocus ()
frmRecSetup.pnlInfo.Caption = "Remove this person from your key rings"
End Sub

Sub btnDone_Click ()
Unload frmRecSetup
End Sub

Sub btnDone_GotFocus ()
frmRecSetup.pnlInfo.Caption = "Exit Recipient Setup"
End Sub

Sub cboRecName_GotFocus ()
frmRecSetup.pnlInfo.Caption = "This person's public key is in your key ring"
End Sub

Sub Form_Load ()
'place form in the proper location
Left = (Screen.Width - Width) / 2   ' Center form horizontally.
Top = (Screen.Height - Height) / 3  ' Center form vertically.

frmPGPWinShell.Hide
frmWait.Show
SetUpRecs
Unload frmWait

FreshenLists

End Sub

Sub Form_Unload (Cancel As Integer)
frmPGPWinShell.Show
End Sub

Sub FreshenLists ()
cboRecName.Clear
If NumberOfRecs <> 0 Then
    For i = 1 To NumberOfRecs
        cboRecName.AddItem ListOfRecs$(i)
    Next i
    cboRecName.ListIndex = 0
End If

End Sub

